Skip to main content
`Ctrl`+`K`

# MatMumpsSetCntl

Set MUMPS parameter CNTL() https://mumps-solver.org/index.php?page=doc

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsSetCntl(Mat F, PetscInt icntl, PetscReal val)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` with a `MatSolverType` of `MATSOLVERMUMPS` and a `MatFactorType` of `MAT_FACTOR_LU` or `MAT_FACTOR_CHOLESKY`

- icntl - index of MUMPS parameter array `CNTL()`

- val - value of MUMPS `CNTL(icntl)`

## Options Database Key

- -mat_mumps_cntl_<icntl> <val> - change the option numbered icntl to ival

## Note

Ignored if MUMPS is not installed or `F` is not a MUMPS matrix

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MatMumpsSetIcntl()`, `MatMumpsGetIcntl()`, `MatMumpsGetCntl()`, `MatMumpsGetInfo()`, `MatMumpsGetInfog()`, `MatMumpsGetRinfo()`, `MatMumpsGetRinfog()`

## Level

beginner

## Location

src/mat/impls/aij/mpi/mumps/mumps.c

## Examples

src/ksp/ksp/tutorials/ex52.c
src/ksp/ksp/tutorials/ex52f.F90

## Implementations

MatMumpsSetCntl_MUMPS() in src/mat/impls/aij/mpi/mumps/mumps.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages